Home  |  Message Board  |  Fan Pics  |  Fan Polls  |  RSS Feed  |  Top of Thread  |  Login  |  Register
Display By:
Home  |  Message Board  |  Top of Thread  |  Login  |  Register
Display By:

Previous Thread   |  Top Of Board  |  Start New Thread  |   Next Thread
Marvanelli Posted on 14/02/2020 12:15
Edited On: 14/02/2020 12:16Season Ticket Prices froze again
 
[^]

Link: Now on sale
IP: Logged
rob_fmttm Posted on 14/02/2020 12:18

Season Ticket Prices froze again
I am delighted that they have finally made this significant step -

"we are offering 18-21 prices all across the stadium for the first time."
IP: Logged
ChrisTheRed Posted on 14/02/2020 12:24

Season Ticket Prices froze again
Price freeze... XXXXXX take... There should be a reduction.
IP: Logged
TrappaTony Posted on 14/02/2020 12:25

Season Ticket Prices froze again
Now the club needs to restructure (and pardon the phrase) level up the match day pricing structure and reduce prices simultaneously in order to remove the pernicious disproportionate nature of season card/match day pricing.
IP: Logged
TrappaTony Posted on 14/02/2020 12:25

Season Ticket Prices froze again
Now the club needs to restructure (and pardon the phrase) level up the match day pricing structure and reduce prices simultaneously in order to remove the pernicious disproportionate nature of season card/match day pricing.
IP: Logged
TrappaTony Posted on 14/02/2020 12:25

Season Ticket Prices froze again
Now the club needs to restructure (and pardon the phrase) level up the match day pricing structure and reduce prices simultaneously in order to remove the pernicious disproportionate nature of season card/match day pricing.
IP: Logged
WindyNook Posted on 14/02/2020 12:43

Season Ticket Prices froze again
I agree 3 times over Tony.As a season ticket holder since the seventies I don't mind walk up s getting in for less than they are paying now. My ticket is to go watch the Boro I want as many people beside me doing the same thing
IP: Logged
The_Lizards_Jumpers Posted on 14/02/2020 12:50
Edited On: 14/02/2020 13:58
Season Ticket Prices froze again
"Price freeze... XXXXXX take... There should be a reduction."

Yep, and the fans will be delighted when we can't afford to sign anyone. There's this thing called FFP, you may have heard of it ?
IP: Logged
boroPE Posted on 14/02/2020 13:47

Season Ticket Prices froze again
18 - 21 all over the stadium at last. [^]
IP: Logged
Humpty Posted on 14/02/2020 13:59

Season Ticket Prices froze again
Further devaluing of the season ticket.

New ST holders no longer receive a priority opportunity to purchase in demand tickets.
IP: Logged
Marvanelli Posted on 14/02/2020 14:10

Season Ticket Prices froze again
'New ST holders no longer receive a priority opportunity to purchase in demand tickets.'

Yes they do.

They start with 70 priority points.

That's 70 more than what a walk up fan receives...
IP: Logged
Humpty Posted on 14/02/2020 14:24

Season Ticket Prices froze again
No they don't. A season ticket always provided the owner with an opportunity to purchase in demand tickets when they were first released. That is not the case anymore.
IP: Logged
Marvanelli Posted on 14/02/2020 14:34

Season Ticket Prices froze again
The answer to that is easy. Go to more away games or home cup games and then your priority points will build up and you'll end up at the front of the queue for the most in-demand tickets.

It's simple and fair.

A free for all was not the fairest option, hence why a points scheme was correctly applied by MFC.
IP: Logged
rob_fmttm Posted on 14/02/2020 14:43

Season Ticket Prices froze again
Humpty - how many times are you going to repeat a message that is completely and utterly wrong.
IP: Logged
BigUnit Posted on 14/02/2020 15:17

Season Ticket Prices froze again
I think we will take a big hit on season card deals.
In past years , at the same price we were always expected to challenge for Promotion.
We are 18th in the league and still charging Prem league prices .
I will be renewing though utb
IP: Logged
Humpty Posted on 14/02/2020 15:22
Edited On: 14/02/2020 15:24
Season Ticket Prices froze again
If you tell me how i'm wrong Rob (and you're correct), i'll be happy to stop re-iterating it...but i'm not. So i'll continue to highlight it.

The club have de-valued their season ticket. Unless they change it, it will not be as attractive a product as it did in years passed.

Buy a season ticket for the first time this year and you no longer receive an automatic opportunity to purchase an in-demand away ticket.

IP: Logged
BigUnit Posted on 14/02/2020 15:33

Season Ticket Prices froze again
Humpty you are right.
You have less chance of a away ticket now
But still a much better chance than a non season card holder.
I cant see the demand for next season being high though, it dropped significantly this season and cant see us investing in the squad next season either
IP: Logged
The_Lizards_Jumpers Posted on 14/02/2020 15:39

Season Ticket Prices froze again
"Buy a season ticket for the first time this year and you no longer receive an automatic opportunity to purchase an in-demand away ticket."

No matter how many times you say it, it still doesn't make sense.

As a 1st year season ticket holder, do you stand a better chance than Person B who has been to let's say 4 games all season ?

Yes or No ?
IP: Logged
Humpty Posted on 14/02/2020 15:55
Edited On: 14/02/2020 15:57
Season Ticket Prices froze again
ďBut still a much better chance than a non season card holder.Ē

Agreed and thatís exactly how it should be. I honk youíre missing the point lizard
IP: Logged
borofan402 Posted on 14/02/2020 16:44

Season Ticket Prices froze again
Laughable those prices when we have half an eye of trying to stay in the divison. Good one Boro, letís see how this turns out.
IP: Logged
littledick Posted on 14/02/2020 17:07
Edited On: 14/02/2020 17:08
Season Ticket Prices froze again
Humpty...your post at 15.24

Can you explain your last paragraph / sentence for us thicko's.

Many thanks


Surely you'll have same chance as someone who has there 1st season card, this season ?
IP: Logged
Primus84 Posted on 14/02/2020 17:24

Season Ticket Prices froze again
I still think that whilst the GRFZ is a great idea, I wouldn't want to move seats, so when my little boy is old enough to go I'd either have to pay much more for him or move away from somewhere I've sat for years.

Why not make the pricing for an adult and child season ticket the same across the whole stadium - it makes no sense to restrict it.
IP: Logged
Primus84 Posted on 14/02/2020 17:31

Season Ticket Prices froze again
Oh and where's the email - the only reason I know about the ticket pricing being frozen, deadline etc is from being on here. When the article hits the MFC website and the Gazette it should be a matter of course that the club email all those opted into marketing etc to let them know too.
IP: Logged
Primus84 Posted on 14/02/2020 17:32

Season Ticket Prices froze again
One more thing - it makes zero sense for a renewal to be cheaper than a first time customer.

We have falling crowds so why make it harder to attract new season ticket holders?!
IP: Logged
ChrisFinch Posted on 14/02/2020 17:44

Season Ticket Prices froze again
Still farcically overpriced. Glad they've finally seen sense with the 18-21 prices mind.
IP: Logged
since1970 Posted on 14/02/2020 17:45

Season Ticket Prices froze again
I have no real issue with regards to walk-up prices but as a season tkt holder since 1987 I find it staggering (if true) that the club aren't allowing "early bird" prices for new season card holders.
IP: Logged
myfooty Posted on 14/02/2020 17:55

Season Ticket Prices froze again
"One more thing - it makes zero sense for a renewal to be cheaper than a first time customer.

We have falling crowds so why make it harder to attract new season ticket holders?!"

I agree.
IP: Logged
BigmetsBoro86 Posted on 14/02/2020 18:04

Season Ticket Prices froze again
So the walk up are still going to be £32+[sad]

That's the issue. The season ticket holders know they get every Saturday off and therefore will rightly buy one.

It's the more casual fan or one that isn't available for every match that they need to get back. £32+ for a home game with Luton or Wigan is Fecking awful.

I honestly expected a slight reduction on ST so they could lower walk up prices.

Not impressed really. It's been a woeful few years at the Riverside in terms of performances and goals.

I thought it would have been a really nice gesture to lower them or do a 'buy one get one a 3rd off type thing'.
IP: Logged
RexKramer Posted on 14/02/2020 19:00

Season Ticket Prices froze again
Will do the same as I've done for the last few years. Match by match and consider a half season ticket if a promotion/play off or cup appearance looks to be on the cards. Think that's the best for me given I work shifts so would miss a lot of games having a season ticket.

Saying that, not sure that will work now with points.
IP: Logged
Dibzzz Posted on 14/02/2020 19:50

Season Ticket Prices froze again
Available now?

Mid February?

Fcuk me, nevermind early bird prices, we have early worm now.
IP: Logged
Support_Your_Local_Team Posted on 14/02/2020 19:59

Season Ticket Prices froze again
I've been a SC holder for 13 years now and almost give it up at the end on last season. It's nothing to do with the price. It's simply boring now.

I don't care about winning all the time I just want to be excites about going to watch the Boro.

The only reason I kept it is because my 8 year old son wanted to join me for his first season ticket. I jumped at the chance.

But he's found it incredibly boring too. He now doesn't want to go anymore. When he doesn't go I'm glad to just give it away in all honesty. Pains me to say it but that's how I now feel.

I won't be renewing our 2 tickets. Again, it's not the money but I suspect the "good news" of the price freeze will actually be a terrible decision.

Like many have said, they started charging those prices for PL football. Now they want the same for bottom of the Championship. Will be interesting (and potentially sad) to see how many stick with it.
IP: Logged
borofan402 Posted on 14/02/2020 20:00

Season Ticket Prices froze again
Frankly, they can get stuffed.
IP: Logged
BoroFur Posted on 14/02/2020 20:23

Season Ticket Prices froze again
Club shoots itself in the foot once again.

Introduces 18 - 21 tickets all over the stadium [^]

Fails to offer early bird prices to prospective new fans [V]

Staggering incompetence.
IP: Logged
HULLRED66 Posted on 14/02/2020 20:27

Season Ticket Prices froze again
My season ticket works out at £18.26 a game. A walk up pays £31. That can't be right can it? If it was £24/25 that would be more realistic.
IP: Logged
littledick Posted on 14/02/2020 20:34

Season Ticket Prices froze again
Almost half price there then HULL.

So buying a season card means you'll not be out of pocket if you only go to just over half the games ?

Surely it makes sense for everyone to buy a season card
IP: Logged
HULLRED66 Posted on 14/02/2020 21:13

Season Ticket Prices froze again
Yeah you are right littledick. Some people can't afford that commitment I guess. I am lucky that I can afford it.
IP: Logged
Tuncaythefunguy Posted on 14/02/2020 21:15

Season Ticket Prices froze again
Paying 500 quid outright is a lot of money to people.

Not everyone can save.

Sheff Utd got promoted on ST costing £280 Fulham charged £250 last season.

No way is 500 straight up or 30 quid at ticket office per game good value. And you don't even get a drink.

You can love your club but that doesn't make it affordable.
IP: Logged
onamission Posted on 14/02/2020 22:48

Season Ticket Prices froze again
You don't have to pay £500 outright, as in previous seasons there is a option of 9 months finance.
IP: Logged
10hickton Posted on 14/02/2020 23:05

Season Ticket Prices froze again
ChriThe Red......WHY ?
IP: Logged
Unbelievable_jeff Posted on 15/02/2020 07:31

Season Ticket Prices froze again
They can dress up how they like. We are paying more than we were to watch premier league football a few years ago. Way way overpriced and attendances will suffer again next season.
IP: Logged
bear66 Posted on 15/02/2020 08:13

Season Ticket Prices froze again
What a terrible season that was. 'Enjoying' thus season far more so much better value per game.
IP: Logged
Indeedido Posted on 15/02/2020 08:34

Season Ticket Prices froze again
It just canít be right paying PL pricing to watch bottom third championship football as lowest league scorers bar Wigan.
Also canít be right that a non SC holder pays £34 plus booking fee to see us play Luton in West upper.

Still, pleased to see 18-21 shift in dogma by Gibson.

I will renew, but out of habit. The football is better than under pulis, but is still poor to watch.
IP: Logged
mddbadman Posted on 15/02/2020 09:10
Edited On: 15/02/2020 09:12
Season Ticket Prices froze again
It's nice to see the 18-21 prices, however it's not a standard price across the board. For example it cost more to renew a 18-21 ticket in the West stand than in the South stand. So while it's nice to see it come in, they couldn't even bring themselves to go all the way and offer one price for all 18-21 year olds.
IP: Logged
redwurzel Posted on 15/02/2020 09:32

Season Ticket Prices froze again
come on - its a similar price for 18-21 in different stands and all are decent prices for that age group.

I wish I could have had a season ticket for 23 games in a seat for the equivalent of £55 in early 1980s money. I paid £3 per match = £69 in poorer facilities
IP: Logged
ChrisFinch Posted on 15/02/2020 10:01

Season Ticket Prices froze again
"Yep, and the fans will be delighted when we can't afford to sign anyone. There's this thing called FFP, you may have heard of it ?"

So the fans are basically picking up the bill for the clubs woeful budget management?
IP: Logged
RedcarBlock53 Posted on 15/02/2020 10:23

Season Ticket Prices froze again
Zero attempt made to get lapsed season ticket holders or new blood into the stadium. Thousands of empty seats again next season, poor atmosphere probably which again has a negative impact on the club.
IP: Logged
boro19 Posted on 15/02/2020 10:56

Season Ticket Prices froze again
So are they going to roll out 18-21 match day prices as I mean the Stadium is right next to Teeside university need to tap into that market
IP: Logged
TrappaTony Posted on 15/02/2020 11:26

Season Ticket Prices froze again
18-21 is good to see but surely the most retrograde pricing policy is the utter nonsense of the under 18 structure. I dont know of another club that has such mean spirited and short sighted approach. How is it fair, sensible, progressive or positive to have a 5 year old having to pay the same ticket price as a 17 year old? It's utter madness and totally unjustifiable.
IP: Logged
Support_Your_Local_Team Posted on 15/02/2020 12:03
Edited On: 15/02/2020 12:03
Season Ticket Prices froze again
My 8 year old pays ZERO so I assume 5/6yo kids do too.

If 17 year olds are paying the same as that I'd say they are getting an amazing deal.
IP: Logged
ChrisFinch Posted on 15/02/2020 12:55
Edited On: 15/02/2020 12:58
Season Ticket Prices froze again
"Zero attempt made to get lapsed season ticket holders or new blood into the stadium."

Yep. I didn't renew this season after 25 years of having a ST as I was utterly disgusted that the club had the audacity to put the prices up, but I like Woodgate and what he is trying to do so could have been seduced. As usual, bugger all effort from the club, they couldn't even be bothered to reply to an email I sent in which i raised concerns about the price structure last summer.
IP: Logged
boro8686 Posted on 18/02/2020 08:55

Season Ticket Prices froze again
West Brom's early birds for comparison.
Nice to see they don't have a new applicant tax as well.


Link: £100 cheaper and top of the league
IP: Logged
KingOfTheTribes Posted on 18/02/2020 10:06

Season Ticket Prices froze again
Walk up tickets are too expensive for me nowadays. Went once last season in the West Stand and it cost me £35 - I had to go as we had family up who wanted to watch Charlton.

£30+ for 90 minutes is outrageous. Bring your Mrs and you are paying £65-70 for 2 hours sat in the cold. Add train fare, food, refreshments and it's £100+.

I can think of far better things to spend £100 on.

Twenty is plenty.
IP: Logged
jam69 Posted on 18/02/2020 10:12

Season Ticket Prices froze again
i paid 30 quid Saturday for a 2nd tier game, its too much, and its more than every other club in the division would charge for the same fixture. and then £17 for kids, more than any other other club in the league.
IP: Logged
Tom_Fun Posted on 18/02/2020 12:43

Season Ticket Prices froze again
It's crazy how little the club seems to care about increasing its fanbase.
IP: Logged
borofan402 Posted on 18/02/2020 13:05

Season Ticket Prices froze again
Seeing those West Brom prices is absolutely laughable compared to what we charge. Top of the league, PL football incoming and still freezing itís prices.

Us fighting to stay in the division and desperately looking for teams beneath us to drop points still at £420 for me. We may be in L1! The funny thing none of our media outlets every call the club out on it. Terrified to upset the Apple cart.
IP: Logged
Davey_C Posted on 18/02/2020 23:46
Edited On: 18/02/2020 23:47
Season Ticket Prices froze again
Adult prices from ...

Brentford 369
Notts F 365
Bristol C 355 (19/20)
Blackburn 319 (19/20)
Cardiff 299 (19/20)
Millwall 299 (19/20)
Swansea 399
Sheff W 455
Derby 419 (19/20)
Birmingham 349 (18/19)
Reading 299 (19/20)
QPR 225
Charlton 220 (19/20)
Huddersfield 249
Stoke 344 (19/20)
Wigan 279 (19/20)
Luton 400 (19/20)
Barnsley 315 (19/20)

IP: Logged
captain5 Posted on 19/02/2020 13:48

Season Ticket Prices froze again
Never understood the change away from being able to pay early as a new ST holder.

The change to a 'pre-season' price meant a hell of a jump year on year for the same 'opportunity'.

A new applicant for the North Stand started at £461 instead of £370 the previous year.
IP: Logged
redwurzel Posted on 20/02/2020 10:14

Season Ticket Prices froze again
The cheapest WBA ST is £329 against Boro's £420, but I get 23 free drinks which is worth £100 so the Boro ticket is in fact cheaper for longer term STs.

Overall we are not cheap, but as expensive as some on here like to make out. I agree the experience has been poor in the last 3 years, but its not a lot better at other Championship clubs.
IP: Logged
Jan_Aage_Fjortoft Posted on 20/02/2020 10:35

Season Ticket Prices froze again
It's not really worth £100 though is it? Boro overcharge on their drinks and the vast majority of people would prefer a cheaper ticket than the free drink.

And considering it's only available to an increasing smaller number of people it isn't really right to use as a comparison. Especially when the newer ticket holders are being punished twice. Firstly by not getting a free drink and secondly by having to pay the higher price than exisiting customers.

Taking the view that you do is encouraging the club to continue these practises which long-term is damaging the club. The club need to wake-up. Saying they have a high wage bill to cover isn't the fans fault. It's the people in charge who have messed up in strategy for years. They need to look at their own performance instead of fleecing supporters for their mistakes.
IP: Logged
Davey_C Posted on 20/02/2020 10:42

Season Ticket Prices froze again
The pop you buy/receive is almost out of date (my last couple were) but who's sad enough to check that :-)

Clever purchasing theyll be getting it for next to nothing and selling it for £2 a 'pop'
IP: Logged
borofan402 Posted on 20/02/2020 11:53

Season Ticket Prices froze again
Jan_Aage_Fjortoft [^][^][^]
IP: Logged
The_Downing_Wave Posted on 20/02/2020 12:21

Season Ticket Prices froze again
This £100 worth of free drinks is a myth!

But for those of you who believe it, can you ask the club to offer STs without a free drink at £100 cheaper?
IP: Logged
boro8686 Posted on 20/02/2020 13:39

Season Ticket Prices froze again
Redwurzel with his head and abacus in the sand.
IP: Logged
DCI_Gene_Hunt Posted on 20/02/2020 14:48

Season Ticket Prices froze again
Can someone explain this £100 thing? Are they saying it costs the club £100?

If it does I'll do without and have £50 off my season ticket then we both win!
IP: Logged
captain5 Posted on 20/02/2020 15:13

Season Ticket Prices froze again
I haven't got a problem if people think that the drinks is worth £100; fair play to the club's marketing for once.

If that is your view though, you would logically have to conclude that the gap between EB renewal and others is even larger.

It seems a shame that you have a North Stand where people could be paying approx £14 (drink discounted), £21, £23 and £30 for the same North Stand seat.
IP: Logged
Support_Your_Local_Team Posted on 21/02/2020 12:58

Season Ticket Prices froze again
I get a free drink and get a free bottle of pop when I remember. I'd much prefer a cheaper ticket to paying extra for a "free" drink I would never have bought in the first place.
IP: Logged
redwurzel Posted on 21/02/2020 13:14

Season Ticket Prices froze again
A pint of beer in the concourses varies from £4.00 to £6 (Spurs) even if we said an average of £4.20 times 23 equals £100. Its not what it costs the club its what it costs the football club its what is the normal retail price that should be the comparison.

I agree its something that 50% of the season ticket holders may not have purchased, but it of some value to all. Many posters just ignored it in their price comparisons.

My full adult season ticket works out at about £18.26 less the value of the drink - for me that makes it about £14 a game if used for every game. When we moved to the Riverside I paid £220 for 21 games? about £10.48 a game. Inflation has almost doubled in the same period.
IP: Logged
Davey_C Posted on 21/02/2020 15:09
Edited On: 21/02/2020 15:15
Season Ticket Prices froze again
When we moved to the Riverside I paid £220 for 21 games? about £10.48 a game. Inflation has almost doubled in the same period.

North Stand Season Tickets were £180 when we first moved to the Riverside, you got a free game as it cost a tenner match to match (not that match to match lasted very long!)

It was a 19 home game season as it is now
IP: Logged
Previous Thread  |  Start New Thread  |  Top Of Board  |  Top Of Thread  |  Next Thread



Home  |Message Board  |  Top of Board  |  Login  |  Register


Copyright © 2008 to 2020 Fansonline.net Ltd

FansOnline.net Ltd
Unit 7
Brentnall Center
Gilkes Street
Middlesbrough
Cleveland
TS1 5AP
Fansonline Home | About Fansonline | Contact Fansonline | Advertise On Fansonline | Privacy Policy | TOS
10.0.166.213